跳转至

查询 Oasis 账户交易历史

查询 Oasis 账户的交易历史。

请求

GET https://api.mycactus.dev/custody/v1/oasis-api/institution/accounts/{accountId}/flows
GET https://api.mycactus.com/custody/v1/oasis-api/institution/accounts/{accountId}/flows

参数

路径参数

字段 类型 描述

accountId
必填

String 账户 ID

查询参数

字段类型描述
orderNo
可选
String订单编号
flowTypes
可选
String[]交易类型
txHash
可选
String交易哈希。注意:仅余额账户使用此参数
offset
可选
Integer分页偏移量(默认值:0)
limit
可选
Integer每页记录数(默认值:10)

响应

响应体

字段 类型 描述
code Integer 响应码(0 = 成功)
message String 响应消息
successful Boolean 请求是否成功
data Object 交易历史数据

data(对象)

字段 类型 描述
offset Integer 分页偏移量
limit Integer 每页记录数
total Integer 记录总数
list Object[] 交易列表

list(对象)

字段类型描述
flowIdString流水 ID
accountIdString账户 ID
currencyString币种类型
tokenNameString代币名称
flowTypeString交易类型
• deposit - 余额账户充值
• deposit_rollback - 充值回滚
• withdraw - 余额账户提币
• withdraw_to_intra - 余额账户站内转账
• withdraw_usr_out_fee - 提币费
• transfer_to_buff - 从余额账户转到 Buffer 账户
• transfer_to_balance - 从 Buffer 账户转到余额账户
• settle - 结算
statusString交易状态
• confirmed - 已确认
• unconfirmed - 未确认
• failed - 失败
• frozen - 冻结
• rollbacked - 回滚
directionString交易方向
• out - 出账
• in - 入账
addressString充值地址
countpartyString交易对手方
注意:仅对充值交易可用
amountString金额
accountBalanceString交易后账户余额
orderNoString订单号
settleStartTimeLong结算周期开始时间(时间戳)
注意:仅对结算交易可用
settleEndTimeLong结算周期结束时间(时间戳)
注意:仅对结算交易可用
createTimeLong记录创建时间(时间戳)
txInfosObject交易信息,包含交易哈希列表

txInfos(对象)

字段 类型 描述
txHash String 交易哈希值

响应示例

{
  "code": 0,
  "message": "string",
  "data": {
    "offset": 0,
    "limit": 10,
    "list": [
      {
        "currency": "USDT",
        "status": "confirmed",
        "direction": "in",
        "countparty": "TCR1AqfrBEhaTCkxxHg783BRHFBvmmLFGd",
        "amount": "5",
        "flowId": "a5f46cb64ac84e048dd152324c677cf0",
        "accountId": "100002",
        "tokenName": "USDTTRC",
        "flowType": "deposit",
        "accountBalance": "5",
        "orderNo": "",
        "txInfos": [
          {
            "txHash": "811e4c71123cfd1f9d07dd5f70b16a09dee5fc1e032d4bdb13a3155cf90399a0"
          }
        ]
      }
    ],
    "total": 1
  },
  "successful": true
}